#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int a1,b1,a2,b2;
    scanf("%lld%lld%lld%lld",&a1,&b1,&a2,&b2);
    if(a1==a2||b1==b2) printf("2");
    else if(abs(b2-b1)==abs(a1-a2)) printf("1");
    else printf("0");
    return 0;
}